org.apache.poi.sl.draw.binding

## Class CTConnectionSite

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTConnectionSite

-     public class CTConnectionSite
      extends java.lang.Object

  Java class for CT_ConnectionSite complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_ConnectionSite">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="pos" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_AdjPoint2D"/>
             </sequence>
             <attribute name="ang" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjAngle" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `ang`
    `protected CTAdjPoint2D` | `pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTConnectionSite()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAng()` Gets the value of the ang property.
    `CTAdjPoint2D` | `getPos()` Gets the value of the pos property.
    `boolean` | `isSetAng()`
    `boolean` | `isSetPos()`
    `void` | `setAng(java.lang.String value)` Sets the value of the ang property.
    `void` | `setPos(CTAdjPoint2D value)` Sets the value of the pos property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pos

          protected CTAdjPoint2D pos

    - #### ang

          protected java.lang.String ang

  - ### Constructor Detail

    - #### CTConnectionSite

          public CTConnectionSite()

  - ### Method Detail

    - #### getPos

          public CTAdjPoint2D getPos()

      Gets the value of the pos property.
      Returns:
        possible object is `CTAdjPoint2D`

    - #### setPos

          public void setPos(CTAdjPoint2D value)

      Sets the value of the pos property.
      Parameters:
        `value` - allowed object is `CTAdjPoint2D`

    - #### isSetPos

          public boolean isSetPos()

    - #### getAng

          public java.lang.String getAng()

      Gets the value of the ang property.
      Returns:
        possible object is `String`

    - #### setAng

          public void setAng(java.lang.String value)

      Sets the value of the ang property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetAng

          public boolean isSetAng()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.